.block-product-list {
  --product-card-shadow-offset-x-val: max(var(--product-card-shadow-offset-x),
      calc(-1 * var(--product-card-shadow-offset-x)));
  --product-card-shadow-offset-y-val: max(var(--product-card-shadow-offset-y),
      calc(-1 * var(--product-card-shadow-offset-y)));
  --padding-inline: calc(var(--product-card-shadow-offset-x-val) + var(--product-card-shadow-blur));
  --padding-block: calc(var(--product-card-shadow-offset-y-val) + var(--product-card-shadow-blur));

  position: relative;
  padding-block: var(--padding-block);
  padding-inline: var(--padding-inline);
  scroll-padding-inline: var(--padding-inline);
  background-color: rgb(var(--color-background));
}

@media (max-width: 959px) {
  .block-product-list {
    width: calc(100% + var(--page-padding) * 2);
    padding-inline: var(--page-padding);
    margin-inline: calc(-1 * var(--page-padding));
    overflow-y: hidden;
    scroll-padding-inline: var(--page-padding);
  }
}

.block-product-list__carousel {
  display: block;
  width: 100%;
  max-width: 100%;
}

.block-product-list__button {
  position: absolute;
  inset-block-start: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: rgb(255 255 255 / 100%);
  border: 0;
  border-radius: 50%;
  box-shadow: 0 4px 10px rgb(0 0 0 / 15%);
}

.block-product-list__button--previous {
  inset-inline-start: 0;
  transform: translate(-50%, -50%);
}

.block-product-list__button--previous svg {
  transform: rotate(180deg);
}

.block-product-list__button--next {
  inset-inline-end: 0;
  transform: translate(50%, -50%);
}

.carousel-buttons-wrapper button {
  position: unset;
  transform: unset;
  cursor: pointer;
}

.carousel-buttons-wrapper button:disabled {
  opacity: 0.75;
}

.carousel-buttons-wrapper button svg {
  width: 14px;
  height: 14px;
}

.carousel-buttons-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  margin-bottom: 30px;
}

.block-product-list__button-wrapper .button {
  border: 1px solid rgb(var(--color-button-text));
  --border-opacity: 1;
  padding: 10px 20px;
  font-weight: 700;
  transition: 0.3s all ease;
  font-size: 18px;
  border-radius: 0px;
  box-shadow: none;
}

.block-product-list__button-wrapper {
  text-align: center;
  margin-top: 20px;
}

.block-product-list__button-wrapper .button:hover {
  background: rgb(var(--color-button-secondary-background));
  color: rgb(var(--color-button-secondary-text))
}

.block-featured-collection-featured-image img {
  width: 100%;
  object-fit: cover;
  height: 100%;
}

.block-featured-collection-content {
  position: absolute;
  padding: 20px;
  width: 100%;
  z-index: 3;
}

.block-featured-collection-content.top_left {
  top: 0;
  left: 0;
  text-align: left;
}

.block-featured-collection-content.top_center {
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
}

.block-featured-collection-content.top_right {
  top: 0;
  right: 0;
  text-align: right;
}

.block-featured-collection-content.middle_left {
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  text-align: left;
}

.block-featured-collection-content.middle_center,
.block-featured-collection-content.center {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.block-featured-collection-content.middle_right {
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  text-align: right;
}

.block-featured-collection-content.bottom_left {
  bottom: 0;
  left: 0;
  text-align: left;
}

.block-featured-collection-content.bottom_center {
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
}

.block-featured-collection-content.bottom_right {
  bottom: 0;
  right: 0;
  text-align: right;
}

.featured-collection-wrapper {
  position: relative;
}

.block-featured-collection-title,
.featured-collection-description {
  color: var(--font-color);
}

.block-featured-collection-cover-image {
    width: 100%;
    height: 100%;
    display: block;
}
.block-featured-collection-featured-image {
    height: 100%;
}

.cover-imgae-mask{
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    background-color: rgba(0, 0, 0, calc(var(--cover-mask-opacity, 0) / 100));
    z-index: 1;
}